problems with Linux Mint Debian

Post your update and upgrade related errors here
Forum rules
Before you post please read how to get help

problems with Linux Mint Debian

Postby linux_mint_fan on Wed Nov 30, 2011 7:36 pm

While attempting to update system I get error message to the effect that certain ones can not be fetched; update is incomplete

While attempting to install Openshot Movie Editor, I get the error message :
The following packages have unmet dependencies:
openshot : Depends: melt but it is not going to be installed
Depends: python-mlt3 but it is not going to be installed or
python-mlt2 but it is not installable

While attempting to install Kdenlive Movie Editor, I get the error message :
kdenlive:
Depends: libmlt++3 but it is not going to be installed
Depends: libmlt4 but it is not going to be installed
Depends: melt but it is not going to be installed
Depends: ffmpeg but it is not going to be installed
Recommends: dvgrab but it is not going to be installed

When attempting to install Winff, I get:
winff:
Depends: ffmpeg but it is not going to be installed
Recommends: winff-doc but it is not going to be installed

In easy Linux Mint 11 (Katya), I never had these problems.

When I plug in my 500 G mass storage disk into the usb port, it comes up fine, BUT when I opt to "safely remove device", I get a kernel panic. A bunch of garbage on the screen. I have to shut the computer down and do a cold boot, then everything is ok again.

Would like to get these issues corrected.

Thanks!
linux_mint_fan
Level 1
Level 1
 
Posts: 10
Joined: Tue Sep 28, 2010 9:22 am

Linux Mint is funded by ads and donations.
 

Re: problems with Linux Mint Debian

Postby zerozero on Wed Nov 30, 2011 8:22 pm

the last is a known (old) issue viewtopic.php?f=141&t=75848&start=0

as for the others, let's see, we need some more info:
Code: Select all
inxi -r

Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade

we will go from there
tks
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: problems with Linux Mint Debian

Postby linux_mint_fan on Wed Nov 30, 2011 10:52 pm

just did some modification in the apt source list and then successfully installed Openshot and Kdenlive. I tried typing in your suggested commands into the terminal; things seem to happen except at the end there was an error message of a "broken pipe" Installed Winff but when I attempted to start the app, nothing happened. As for the kernel panic from the removed external storage disk, that remains a mystery. Read your narration about other people having this problem. It is interesting that insertion and removal of USB thumbdrives so far have caused not problem. thanks for your info and advice.
linux_mint_fan
Level 1
Level 1
 
Posts: 10
Joined: Tue Sep 28, 2010 9:22 am

Re: problems with Linux Mint Debian

Postby zerozero on Thu Dec 01, 2011 3:23 am

well, if you don't want to be helped fine :D but the 2 commands i asked you, please to give us the output, might help you.
so again:
Code: Select all
inxi -r

Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: problems with Linux Mint Debian

Postby Oscar799 on Thu Dec 01, 2011 8:32 am

Moved here from the main forum
Image
"Don't fix it if it ain't broken,don't break it if you can't fix it" Husse
Registered Linux User #511789
User avatar
Oscar799
Level 18
Level 18
 
Posts: 8968
Joined: Tue Aug 11, 2009 9:21 am
Location: United Kingdom

Re: problems with Linux Mint Debian

Postby ormu on Mon Dec 19, 2011 3:52 pm

It seems that I have the exactly same problem... I'm using LMDE as well and I tried to install Openshot but there are errors with these dependencies:

linux_mint_fan wrote:
While attempting to install Openshot Movie Editor, I get the error message :
The following packages have unmet dependencies:
openshot : Depends: melt but it is not going to be installed
Depends: python-mlt3 but it is not going to be installed or
python-mlt2 but it is not installable



I think that I've traced at least one problem to libva1... Version 1.0.14 is needed for libavcodec53 which is needed (in addition to a bunch of other stuff) for libmlt4 which is needed for melt which is needed for Openshot. And the problem is that only version 1.0.12-2 of libva1 is available from the default repositories. Is there any solutions for this?
ormu
Level 1
Level 1
 
Posts: 24
Joined: Mon Dec 19, 2011 3:42 pm

Re: problems with Linux Mint Debian

Postby zerozero on Mon Dec 19, 2011 7:42 pm

@ormu,
ok, and the terminal output of
Code: Select all
inxi -r
and
Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: problems with Linux Mint Debian

Postby ormu on Tue Dec 20, 2011 11:51 am

zerozero wrote:@ormu,
ok, and the terminal output of
Code: Select all
inxi -r
and
Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade


Repos:

Code: Select all
# inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.linuxmint.com/ debian main upstream import
           deb http://debian.linuxmint.com/latest testing main contrib non-free
           deb http://security.debian.org/ testing/updates main contrib non-free
           deb http://www.debian-multimedia.org testing main non-free


Updates: (sorry, I have Finnish language installed...)

Code: Select all
# apt-get update && apt-get dist-upgrade
Siv http://www.debian-multimedia.org testing InRelease
Nouda:1 http://www.debian-multimedia.org testing Release.gpg [198 B]           
Nouda:2 http://www.debian-multimedia.org testing Release [29,4 kB]             
Löytyi http://security.debian.org testing/updates InRelease                   
Siv http://packages.linuxmint.com debian InRelease                             
Löytyi http://debian.linuxmint.com testing InRelease                 
Löytyi http://security.debian.org testing/updates/main amd64 Packages         
Löytyi http://www.debian-multimedia.org testing/main amd64 Packages/DiffIndex
Löytyi http://security.debian.org testing/updates/contrib amd64 Packages
Löytyi http://security.debian.org testing/updates/non-free amd64 Packages
Siv http://security.debian.org testing/updates/contrib TranslationIndex
Siv http://security.debian.org testing/updates/main TranslationIndex
Siv http://security.debian.org testing/updates/non-free TranslationIndex
Löytyi http://www.debian-multimedia.org testing/non-free amd64 Packages/DiffIndex
Siv http://www.debian-multimedia.org testing/main TranslationIndex   
Siv http://www.debian-multimedia.org testing/non-free TranslationIndex
Nouda:3 http://packages.linuxmint.com debian Release.gpg [198 B]     
Löytyi http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex       
Nouda:4 http://packages.linuxmint.com debian Release [12,1 kB]       
Siv http://www.debian-multimedia.org testing/main Translation-fi_FI           
Siv http://www.debian-multimedia.org testing/main Translation-fi               
Siv http://security.debian.org testing/updates/contrib Translation-fi_FI       
Siv http://www.debian-multimedia.org testing/main Translation-en               
Siv http://www.debian-multimedia.org testing/non-free Translation-fi_FI
Siv http://www.debian-multimedia.org testing/non-free Translation-fi
Siv http://security.debian.org testing/updates/contrib Translation-fi
Siv http://security.debian.org testing/updates/contrib Translation-en
Siv http://www.debian-multimedia.org testing/non-free Translation-en
Löytyi http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex
Löytyi http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Siv http://debian.linuxmint.com testing/contrib TranslationIndex
Nouda:5 http://packages.linuxmint.com debian/main amd64 Packages [9 892 B]
Siv http://security.debian.org testing/updates/main Translation-fi_FI
Siv http://security.debian.org testing/updates/main Translation-fi
Siv http://security.debian.org testing/updates/main Translation-en
Siv http://security.debian.org testing/updates/non-free Translation-fi_FI
Siv http://security.debian.org testing/updates/non-free Translation-fi
Siv http://security.debian.org testing/updates/non-free Translation-en
Löytyi http://debian.linuxmint.com testing/main TranslationIndex     
Siv http://debian.linuxmint.com testing/non-free TranslationIndex
Nouda:6 http://packages.linuxmint.com debian/upstream amd64 Packages [5 192 B]
Nouda:7 http://packages.linuxmint.com debian/import amd64 Packages [19,3 kB]
Löytyi http://debian.linuxmint.com testing/main Translation-fi                 
Siv http://packages.linuxmint.com debian/import TranslationIndex
Siv http://packages.linuxmint.com debian/main TranslationIndex
Siv http://packages.linuxmint.com debian/upstream TranslationIndex
Siv http://debian.linuxmint.com testing/contrib Translation-fi_FI             
Siv http://debian.linuxmint.com testing/contrib Translation-fi
Siv http://debian.linuxmint.com testing/contrib Translation-en
Siv http://debian.linuxmint.com testing/non-free Translation-fi_FI
Siv http://debian.linuxmint.com testing/non-free Translation-fi
Siv http://debian.linuxmint.com testing/non-free Translation-en
Siv http://packages.linuxmint.com debian/import Translation-fi_FI
Siv http://packages.linuxmint.com debian/import Translation-fi
Siv http://packages.linuxmint.com debian/import Translation-en
Siv http://packages.linuxmint.com debian/main Translation-fi_FI
Siv http://packages.linuxmint.com debian/main Translation-fi
Siv http://packages.linuxmint.com debian/main Translation-en
Siv http://packages.linuxmint.com debian/upstream Translation-fi_FI
Siv http://packages.linuxmint.com debian/upstream Translation-fi
Siv http://packages.linuxmint.com debian/upstream Translation-en
Noudettiin 76,3 kt ajassa 5s (14,9 kt/s)
Luetaan pakettiluetteloita... Valmis
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Käsitellään päivitystä ... Valmis
Seuraavat UUDET paketit asennetaan:
  libaacs0 libbluray-bdj libbluray1
Nämä paketit on jätetty odottamaan:
  foomatic-db-engine gstreamer0.10-ffmpeg mplayer vlc vlc-nox
  vlc-plugin-notify vlc-plugin-pulse
0 päivitetty, 3 uutta asennusta, 0 poistettavaa ja 7 päivittämätöntä.
Noudettavaa arkistoa 439 kt.
Toiminnon jälkeen käytetään 799 k t lisää levytilaa.
Haluatko jatkaa [K/e]? k
Nouda:1 http://debian.linuxmint.com/latest/ testing/main libaacs0 amd64 0~20110623.git964342f-1 [37,6 kB]
Nouda:2 http://debian.linuxmint.com/latest/ testing/main libbluray1 amd64 1:0.0~git20110717.3477b65-3 [82,0 kB]
Nouda:3 http://debian.linuxmint.com/latest/ testing/main libbluray-bdj all 1:0.0~git20110717.3477b65-3 [320 kB]
Noudettiin 439 kt ajassa 2s (215 kt/s) 
Selecting previously deselected package libaacs0.
(Reading database ... 145797 files and directories currently installed.)
Unpacking libaacs0 (from .../libaacs0_0~20110623.git964342f-1_amd64.deb) ...
Selecting previously deselected package libbluray1.
Unpacking libbluray1 (from .../libbluray1_1%3a0.0~git20110717.3477b65-3_amd64.deb) ...
Selecting previously deselected package libbluray-bdj.
Unpacking libbluray-bdj (from .../libbluray-bdj_1%3a0.0~git20110717.3477b65-3_all.deb) ...
Setting up libaacs0 (0~20110623.git964342f-1) ...
Setting up libbluray1 (1:0.0~git20110717.3477b65-3) ...
Setting up libbluray-bdj (1:0.0~git20110717.3477b65-3) ...
ormu
Level 1
Level 1
 
Posts: 24
Joined: Mon Dec 19, 2011 3:42 pm

Re: problems with Linux Mint Debian

Postby zerozero on Tue Dec 20, 2011 12:47 pm

ormu,
i believe the issue will be solved if you changed your repos according to this topic viewtopic.php?f=185&t=82346&start=0
(security and multimedia should be also mirrored in the mint repos)
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: problems with Linux Mint Debian

Postby ormu on Tue Dec 20, 2011 4:27 pm

Thank you very much! Now Openshot installed successfully and I also managed to install some updates that were failed previously.
ormu
Level 1
Level 1
 
Posts: 24
Joined: Mon Dec 19, 2011 3:42 pm

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 6 guests